Skip to main content
POST
/
workflow-runs
/
{runId}
/
resume
JavaScript
import Reminix from '@reminix/sdk';

const client = new Reminix({
  apiKey: process.env['REMINIX_API_KEY'], // This is the default and can be omitted
});

const response = await client.workflowRuns.resume('x');

console.log(response.run_id);
{
  "run_id": "<string>",
  "status": "<string>",
  "state": {},
  "pendingAction": {},
  "execution": {
    "id": "<string>",
    "url": "<string>",
    "type": "agent_invoke",
    "status": "success",
    "duration_ms": 123
  }
}

Authorizations

Authorization
string
header
required

API Key or Personal Access Token (PAT). When using PAT, include X-Project header.

Path Parameters

runId
string
required

Workflow run ID

Minimum string length: 1

Body

application/json
input
object

Action response input (e.g. { approved: true })

stream
boolean

Enable streaming response (SSE)

context
object

Optional context

Response

Workflow run resumed

run_id
string
required

Workflow run ID

status
string
required

Workflow run status

state
object
required

Full workflow state (steps, result, etc.)

pendingAction
object

Pending action details when paused

execution
object

Execution reference for tracking